
//Clase para recoger todas las llamadas VME con National Instruments
#include <iostream>
#include <stdio.h>
#include <stdlib.h>
#include <string>
#include <fstream>
#include <time.h>
#include <string.h>

#include "visaresourcemanager.h"

#include "interfazio.h"

using namespace NIVISAAPI;

class VMEDevice : InterfazIO {

  public:
    VMEDevice(VISAInstrVXI &instHndIn);
    ~VMEDevice();

    void write(int offset, unsigned short valor);
    unsigned short read(int offset);

  private:
    VISAInstrVXI &instHandler;


};



